//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

// Load dts shapes and merge animations
datablock TSShapeConstructor(DouglasDts)
{
	baseShape  = "./douglas.dts";
	sequence0  = "./doug_root.dsq root";

	sequence1  = "./doug_hop.dsq run";
	sequence2  = "./doug_hop.dsq walk";
	sequence3  = "./doug_hop.dsq back";
	sequence4  = "./doug_hop.dsq side";

	sequence5  = "./doug_root.dsq crouch";
	sequence6  = "./doug_root.dsq crouchRun";
	sequence7  = "./doug_root.dsq crouchBack";
	sequence8  = "./doug_root.dsq crouchSide";

	sequence9  = "./doug_look.dsq look";
	sequence10 = "./doug_headside.dsq headside";
	sequence11 = "./doug_root.dsq headUp";

	sequence12 = "./doug_jump.dsq jump";
	sequence13 = "./doug_jump.dsq standjump";
	sequence14 = "./doug_root.dsq fall";
	sequence15 = "./doug_root.dsq land";

	sequence16 = "./doug_root.dsq armAttack";
	sequence17 = "./doug_root.dsq armReadyLeft";
	sequence18 = "./doug_root.dsq armReadyRight";
	sequence19 = "./doug_root.dsq armReadyBoth";
	sequence20 = "./doug_root.dsq spearready";  
	sequence21 = "./doug_root.dsq spearThrow";

	sequence22 = "./doug_talk.dsq talk";  

	sequence23 = "./doug_death.dsq death1"; 
	
	sequence24 = "./dorae_activate.dsq shiftUp";
	sequence25 = "./dorae_activate.dsq shiftDown";
	sequence26 = "./dorae_activate.dsq shiftAway";
	sequence27 = "./dorae_activate.dsq shiftTo";
	sequence28 = "./dorae_activate.dsq shiftLeft";
	sequence29 = "./dorae_activate.dsq shiftRight";
	sequence30 = "./dorae_activate.dsq rotCW";
	sequence31 = "./dorae_activate.dsq rotCCW";

	sequence32 = "./doug_root.dsq undo";
	sequence33 = "./doug_root.dsq plant";

	sequence34 = "./doug_hide.dsq sit";

	sequence35 = "./doug_root.dsq wrench";

   sequence36 = "./doug_root.dsq activate";
   sequence37 = "./doug_root.dsq activate2";

   sequence38 = "./doug_root.dsq leftrecoil";
};

datablock PlayerData(DougArmor : PlayerStandardArmor)
{
   shapeFile = "./douglas.dts";
	uiName = "Douglas Fir";
	canJet = 1;
	maxDamage = "900";
   runForce = "5730";
   maxForwardSpeed = "9";
   maxBackwardSpeed = "6";
   maxSideSpeed = "8";
   jumpForce = "1070";
   airControl = "0.7";

};